com.r3corda.demos

## Package com.r3corda.demos

### Types

CliParams | `sealed class CliParams` Parsed command line parameters.
CliParamsSpec | `object CliParamsSpec`
DemoClock | `class DemoClock : MutableClock, SerializeAsToken` A Clock that can have the date advanced for use in demos
IRSDemoNode | `enum class IRSDemoNode`
IRSDemoRole | `enum class IRSDemoRole` Roles. There are 4 modes this demo can be run:
Role | `enum class Role`

### Properties

DEFAULT_BASE_DIRECTORY | `val DEFAULT_BASE_DIRECTORY: String`
DEMO_TOPIC | `val DEMO_TOPIC: String`

### Functions

main | `fun main(args: Array<String>): Unit` `fun main(args: Array<String>): Unit` `fun main(args: Array<String>): Unit` Creates a dummy transaction that requires a rate fix within a certain range, and gets it signed by an oracle service.
runIRSDemo | `fun runIRSDemo(args: Array<String>): Int`
runTraderDemo | `fun runTraderDemo(args: Array<String>): Int`